import { Event } from 'nostr-tools'
import { combineReducers } from 'redux'
import authReducer from './auth/reducer'
import { AuthState } from './auth/types'
import metadataReducer from './metadata/reducer'
import userRobotImageReducer from './userRobotImage/reducer'

export interface State {
  auth: AuthState
  metadata?: Event
  userRobotImage?: string
}

export default combineReducers({
  auth: authReducer,
  metadata: metadataReducer,
  userRobotImage: userRobotImageReducer
})
