export enum UserRole {
  signer = 'Signer',
  viewer = 'Viewer'
}

export interface User {
  pubkey: string
  role: UserRole
}

export interface Meta {
  createSignature: string
  docSignatures: { [key: `npub1${string}`]: string }
  exportSignature?: string
}

export interface CreateSignatureEventContent {
  signers: `npub1${string}`[]
  viewers: `npub1${string}`[]
  fileHashes: { [key: string]: string }
}

export interface SignedEventContent {
  prevSig: string
}
